move overclock from advanced menu to main menu

This commit is contained in:
Alex Bradbury 2013-05-22 20:24:58 +01:00
parent 4673a0b824
commit bcb12a3ddf

View File

@ -548,9 +548,8 @@ do_advanced_menu() {
"A1 Overscan" "You may need to configure overscan if black bars are present on display" \ "A1 Overscan" "You may need to configure overscan if black bars are present on display" \
"A2 Hostname" "Set the visible name for this Pi on a network" \ "A2 Hostname" "Set the visible name for this Pi on a network" \
"A3 Memory Split" "Change the amount of memory made available to the GPU" \ "A3 Memory Split" "Change the amount of memory made available to the GPU" \
"A4 Overclock" "Configure overclocking for your Pi" \ "A4 SSH" "Enable/Disable remote command line access to your Pi using SSH" \
"A5 SSH" "Enable/Disable remote command line access to your Pi using SSH" \ "A5 Update" "Update this tool to the latest version" \
"A6 Update" "Update this tool to the latest version" \
3>&1 1>&2 2>&3) 3>&1 1>&2 2>&3)
RET=$? RET=$?
if [ $RET -eq 1 ]; then if [ $RET -eq 1 ]; then
@ -560,9 +559,8 @@ do_advanced_menu() {
A1\ *) do_overscan ;; A1\ *) do_overscan ;;
A2\ *) do_change_hostname ;; A2\ *) do_change_hostname ;;
A3\ *) do_memory_split ;; A3\ *) do_memory_split ;;
A4\ *) do_overclock ;; A4\ *) do_ssh ;;
A5\ *) do_ssh ;; A5\ *) do_update ;;
A6\ *) do_update ;;
*) whiptail --msgbox "Programmer error: unrecognized option" 20 60 1 ;; *) whiptail --msgbox "Programmer error: unrecognized option" 20 60 1 ;;
esac || whiptail --msgbox "There was an error running option $FUN" 20 60 1 esac || whiptail --msgbox "There was an error running option $FUN" 20 60 1
fi fi
@ -574,32 +572,34 @@ do_advanced_menu() {
# #
calc_wt_size calc_wt_size
while true; do while true; do
FUN=$(whiptail --title "Raspberry Pi Software Configuration Tool (raspi-config)" --menu "Setup Options" $WT_HEIGHT $WT_WIDTH $WT_MENU_HEIGHT --cancel-button Finish --ok-button Select \ FUN=$(whiptail --title "Raspberry Pi Software Configuration Tool (raspi-config)" --menu "Setup Options" $WT_HEIGHT $WT_WIDTH $WT_MENU_HEIGHT --cancel-button Finish --ok-button Select \
"1 Expand Filesystem" "Ensures that all of the SD card storage is available to the OS" \ "1 Expand Filesystem" "Ensures that all of the SD card storage is available to the OS" \
"2 Change User Password" "Change password for the default user (pi)" \ "2 Change User Password" "Change password for the default user (pi)" \
"3 Enable Boot to Desktop" "Choose whether to boot into a desktop environment or the command-line" \ "3 Enable Boot to Desktop" "Choose whether to boot into a desktop environment or the command-line" \
"4 Internationalisation Options" "Set up language and regional settings to match your location" \ "4 Internationalisation Options" "Set up language and regional settings to match your location" \
"5 Enable Camera" "Enable this Pi to work with the Raspberry Pi Camera" \ "5 Enable Camera" "Enable this Pi to work with the Raspberry Pi Camera" \
"6 Add to Rastrack" "Add this Pi to the online Raspberry Pi Map (Rastrack)" \ "6 Add to Rastrack" "Add this Pi to the online Raspberry Pi Map (Rastrack)" \
"7 Advanced Options" "Configure advanced settings" \ "7 Overclock" "Configure overclocking for your Pi" \
"8 About raspi-config" "Information about this configuration tool" \ "8 Advanced Options" "Configure advanced settings" \
3>&1 1>&2 2>&3) "9 About raspi-config" "Information about this configuration tool" \
RET=$? 3>&1 1>&2 2>&3)
if [ $RET -eq 1 ]; then RET=$?
do_finish if [ $RET -eq 1 ]; then
elif [ $RET -eq 0 ]; then do_finish
case "$FUN" in elif [ $RET -eq 0 ]; then
1\ *) do_expand_rootfs ;; case "$FUN" in
2\ *) do_change_pass ;; 1\ *) do_expand_rootfs ;;
3\ *) do_boot_behaviour ;; 2\ *) do_change_pass ;;
4\ *) do_internationalisation_menu ;; 3\ *) do_boot_behaviour ;;
5\ *) do_camera ;; 4\ *) do_internationalisation_menu ;;
6\ *) do_rastrack ;; 5\ *) do_camera ;;
7\ *) do_advanced_menu ;; 6\ *) do_rastrack ;;
8\ *) do_about ;; 7\ *) do_overclock ;;
*) whiptail --msgbox "Programmer error: unrecognized option" 20 60 1 ;; 8\ *) do_advanced_menu ;;
esac || whiptail --msgbox "There was an error running option $FUN" 20 60 1 9\ *) do_about ;;
else *) whiptail --msgbox "Programmer error: unrecognized option" 20 60 1 ;;
exit 1 esac || whiptail --msgbox "There was an error running option $FUN" 20 60 1
fi else
exit 1
fi
done done